Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 86)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 87)
@@ -3816,13 +3816,6 @@
 
                 // データ表示
                 int ino = 1;
-                //long lTotal01 = 0;
-                //long lTotal02 = 0;
-                //long lDep01 = 0;
-                //long lDep02 = 0;
-                //long lDep03 = 0;
-                //long lDep04 = 0;
-                //long lDep05 = 0;
                 List<string> Details = new List<string>();
 
                 // 期数をセットする
@@ -3856,10 +3849,8 @@
                     if (constructorname.Length == 0) constructorname = CommonDefine.s_UndecidedString;
 
                     string instructorname = CommonMotions.cnvString(DataRec[(int)DBColumn2.I_PERSONNAME]);
-                    //if (instructorname.Length == 0) instructorname = CommonDefine.s_UndecidedString;
 
                     string subconstr = CommonMotions.cnvString(DataRec[(int)DBColumn2.CS_PERSONNAME]);
-                    //if (subconstr.Length == 0) subconstr = CommonDefine.s_UndecidedString;
 
                     int iDepartmentCode = CommonMotions.cnvInt(DataRec[(int)DBColumn2.DepartmentCode]);
                     
@@ -3931,35 +3922,6 @@
                     // 選択期数以外は集計しない
                     if (numUDConstPro.Value != wrkRec.ConstructionPeriod) continue;
 
-                    //// 金額を計算する
-                    //if (constructorname.Equals(CommonDefine.s_UndecidedString))
-                    //{
-                    //    lTotal01 += (long)wrkRec.OrdersDecisionPrice;
-                    //}
-                    //else
-                    //{
-                    //    lTotal02 += (long)wrkRec.OrdersDecisionPrice;
-                    //    if (iDepartmentCode == s_ConstructionProjectsTotalCode1)
-                    //    {          // 山本組
-                    //        lDep01 += (long)wrkRec.OrdersDecisionPrice;
-                    //    }
-                    //    else if (iDepartmentCode == s_ConstructionProjectsTotalCode2)
-                    //    {          // 工事部
-                    //        lDep02 += (long)wrkRec.OrdersDecisionPrice;
-                    //    }
-                    //    else if (iDepartmentCode == s_ConstructionProjectsTotalCode3)
-                    //    {          // 営繕部
-                    //        lDep03 += (long)wrkRec.OrdersDecisionPrice;
-                    //    }
-                    //    else if (iDepartmentCode == s_ConstructionProjectsTotalCode4)
-                    //    {          // 営業
-                    //        lDep04 += (long)wrkRec.OrdersDecisionPrice;
-                    //    }
-                    //    else if (iDepartmentCode == s_ConstructionProjectsTotalCode5)
-                    //    {          // 企画・設計・リフォーム部
-                    //        lDep05 += (long)wrkRec.OrdersDecisionPrice;
-                    //    }
-                    //}
                 }
                 // 行や列を追加したり、セルに値を設定するときは、自動サイズ設定しない。
                 dgv.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
@@ -3973,42 +3935,6 @@
                 ProgressConstructionProjects.Value = ProgressConstructionProjects.Maximum;
                 ProgressConstructionProjects.Update();
                 ProgressConstructionProjects.Visible = false;
-
-                //// 金額表示
-                //lblTotal01.Text = @"\" + lTotal01.ToString("#,0") + "-";
-                //lblTotal02.Text = @"\" + lTotal02.ToString("#,0") + "-";
-                //lblTotal03.Text = @"\" + (lTotal01 + lTotal02).ToString("#,0") + "-";
-                //lblDepTotal01.Text = @"\" + lDep01.ToString("#,0") + "-";
-                //lblDepTotal02.Text = @"\" + lDep02.ToString("#,0") + "-";
-                //lblDepTotal03.Text = @"\" + lDep03.ToString("#,0") + "-";
-                //lblDepTotal04.Text = @"\" + lDep04.ToString("#,0") + "-";
-                //lblDepTotal05.Text = @"\" + lDep05.ToString("#,0") + "-";
-
-                //// 部署名表示
-                //string strDepSQL = dmDB.CreatePrimarykeyString(s_ConstructionProjectsTotalCode1);
-                //List<DepartmentMaster> dmList0 = new List<DepartmentMaster>();
-                //if (dmDB.SelectAction(strDepSQL, ref dmList0))
-                //    if (dmList0.Count != 0) lblDep01.Text = dmList0[0].DepartmentString;
-
-                //List<DepartmentMaster> dmList1 = new List<DepartmentMaster>();
-                //strDepSQL = dmDB.CreatePrimarykeyString(s_ConstructionProjectsTotalCode2);
-                //if (dmDB.SelectAction(strDepSQL, ref dmList1))
-                //    if (dmList1.Count != 0) lblDep02.Text = dmList1[0].DepartmentString;
-
-                //List<DepartmentMaster> dmList2 = new List<DepartmentMaster>();
-                //strDepSQL = dmDB.CreatePrimarykeyString(s_ConstructionProjectsTotalCode3);
-                //if (dmDB.SelectAction(strDepSQL, ref dmList2))
-                //    if (dmList2.Count != 0) lblDep03.Text = dmList2[0].DepartmentString;
-
-                //List<DepartmentMaster> dmList3 = new List<DepartmentMaster>();
-                //strDepSQL = dmDB.CreatePrimarykeyString(s_ConstructionProjectsTotalCode4);
-                //if (dmDB.SelectAction(strDepSQL, ref dmList3))
-                //    if (dmList3.Count != 0) lblDep04.Text = dmList3[0].DepartmentString;
-
-                //List<DepartmentMaster> dmList4 = new List<DepartmentMaster>();
-                //strDepSQL = dmDB.CreatePrimarykeyString(s_ConstructionProjectsTotalCode5);
-                //if (dmDB.SelectAction(strDepSQL, ref dmList4))
-                //    if (dmList4.Count != 0) lblDep05.Text = dmList4[0].DepartmentString;
             }
             catch (Exception ex)
             {
@@ -4095,12 +4021,9 @@
                 long lTotal02 = 0;
 
                 string strSQL = "SELECT C.DEPARTMENTCODE, C.DEPARTMENTSTRING, C.DISPLAYORDER, SUM(A.ORDERSDECISIONPRICE), SUM(D.ORDERSDECISIONPRICE)";
-                strSQL += " FROM CONSTRUCTIONBASEINFO A";
-                strSQL += " LEFT JOIN PERSONINCHARGEMASTER B ON B.PERSONCODE = A.CONSTRUCTIONPERSONCODE";
-                strSQL += " LEFT JOIN DEPARTMENTMASTER C ON C.DEPARTMENTCODE = B.DEPARTMENTCODE";
-                strSQL += " LEFT JOIN  CONSTRUCTIONLEDGER D ON D.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
-
-                strSQL += string.Format(" WHERE A.CONSTRUCTIONPERIOD = {0}", numUDConstPro.Value);
+                strSQL += " FROM PERSONINCHARGEMASTER B";
+                strSQL += " LEFT JOIN CONSTRUCTIONBASEINFO A ON A.CONSTRUCTIONPERSONCODE = B.PERSONCODE";
+                strSQL += string.Format(" AND A.CONSTRUCTIONPERIOD = {0}", numUDConstPro.Value);
                 strSQL += string.Format(" AND A.JOINFLG != {0}", (int)CommonDefine.BaseInfoJoinFlg.JoinChildren);
                 strSQL += " AND A.CONSTRUCTIONSTATUSFLG IN (";
                 strSQL += string.Format("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("一般補修工事")).Key);       // 2
@@ -4112,6 +4035,8 @@
                 strSQL += string.Format("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工完了")).Key);           // 8
                 strSQL += string.Format("{0},", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("空家補修工事")).Key);       // 16
                 strSQL += string.Format("{0})", CommonDefine.ProjectsStatus.First(x => x.Value.Equals("Hit'sV工事")).Key);         // 17
+                strSQL += " LEFT JOIN DEPARTMENTMASTER C ON C.DEPARTMENTCODE = B.DEPARTMENTCODE";
+                strSQL += " LEFT JOIN  CONSTRUCTIONLEDGER D ON D.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
 
                 strSQL += " GROUP BY C.DEPARTMENTCODE, C.DEPARTMENTSTRING, C.DISPLAYORDER";
                 strSQL += " ORDER BY C.DISPLAYORDER";
@@ -4121,6 +4046,7 @@
 
                 int iRowcount = CommonMotions.cnvRoundUp((double)arList.Count / 4.0);
                 dgv.Width = 1008;
+                if (iRowcount < 2) iRowcount = 2;
                 if (iRowcount > 2) dgv.Width = 1028;
 
                 dgv.Rows.Add(iRowcount);
